com.holonplatform.vaadin.flow.components.builders

## Interface HasComponentsConfigurator<C extends HasComponentsConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Superinterfaces:
    HasElementConfigurator<C>, HasEnabledConfigurator<C>
  All Known Subinterfaces:
    FlexComponentConfigurator<C>, FormLayoutBuilder, FormLayoutConfigurator<C>, FormLayoutConfigurator.BaseFormLayoutConfigurator, HorizontalLayoutBuilder, ThemableFlexComponentConfigurator<C>, ThemableFlexComponentConfigurator.HorizontalLayoutConfigurator, ThemableFlexComponentConfigurator.VerticalLayoutConfigurator, VerticalLayoutBuilder

      public interface HasComponentsConfigurator<C extends HasComponentsConfigurator<C>>
      extends HasElementConfigurator<C>, HasEnabledConfigurator<C>

  Configurator for `HasComponents` type components.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `add(com.vaadin.flow.component.Component... components)` Adds the given components as children of this component.
    `default C` | `add(HasComponent... components)` Adds the components of each `HasComponent` as children of this component.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

- - ### Method Detail

    - #### add

          C add(com.vaadin.flow.component.Component... components)

      Adds the given components as children of this component.
      Parameters:
        `components` - The components to add
      Returns:
        this

    - #### add

          default C add(HasComponent... components)

      Adds the components of each `HasComponent` as children of this component.
      Parameters:
        `components` - The `HasComponent`s to add
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.